# Binární relace na množině

Nechť $X, Y$ jsou množiny. **Binární relace** R z množiny $X$ do množiny $Y$ nazveme podmnožinou Kartézského součinu $X \times Y$. Píšeme $x \, R \, y \iff (x, y) \in R$. Speciálně, je-li $X = Y$, řekneme, že $R$ je **relací na množině** $X$.

### Vlastnosti

Relace $R$ na množině $X$ je
- **reflexivní**, pokud pro každé $x \in X$ platí $x \, R \, x$,
- **symetrická**, pokud pro každé $x, y \in X$ platí
	- $x \, R \, y \implies y \, R \, x$,
- **slabě antisymetrická**, pokud pro každé $x, y \in X$ platí
	- $x \, R \, y$ a $y \, R \, x \implies x = y$,
- **tranzitivní**, pokud pro každé $x, y, z \in X$ platí
	- $x \, R \, y$ a $y \, R \, z \implies x \, R \, z$,
+ **ekvivalentní**, pokud je reflexivní, symetrická a tranzitivní,
+ **tolerantní**, pokud je reflexivní a symetrická.

