# Grupa

**Grupa** $G$ je **množina** $M$ spolu s **asociativní binární operací** $\oplus$, ve které existuje
1) neutrální prvek
	- $\exists \, e \in G : \forall \, x \in G : x \oplus e = x = e \oplus x$
2) prvek $x^{-1}$ inverzní ke každému prvku
	- $\forall \, x \in G : \exists \, x^{-1} \in G : x \oplus x^{-1} = e$

Pokud je **operace** $\oplus$ navíc **komutativní** (), jedná se o **komutativní** nebo **Abelova grupu**.

Grupa se značí jako $G(M, \oplus)$.

# Těleso

Množina $M$ s operacemi $\oplus$ a $\otimes$ takovými, že
1) množina $M$ s operací $\oplus$ je Abelova grupa,
2) množina $M \setminus \{ n \}$ s operací $\otimes$ je Abelova grupa, kde $n$ je neutrální (nulový) prvek při operaci $\oplus$,
3) platí distributivita - $\forall \, x, y, z \in M$ je $x \otimes (y \oplus z) = (x \otimes y) \oplus (x \otimes z)$

se nazývá **těleso** a značí se $(M, \oplus, \otimes)$.

Mezi tělesa patří **množiny** všech racionálních, reálných a komplexních čísel, vždy se standardními operacemi **sčítání** a **násobení**.

## Inverzní prvek

**Inverzní prvek** $x^{-1}$ k prvku $x$ je prvek, pro který platí $x^{-1} \oplus x = e$, kde $e$ je neutrální prvek (tedy 0).

Nechť $p \geq 1$ a $r \in \mathbb{Z}_{p}, r \neq 0$. K prvku $r$ existuje v $\mathbb{Z}_{p}$ inverzní prvek právě tehdy, když čísla $p, r$ jsou nesoudělná.
- Tedy $\mathbb{Z}_{p}$ je těleso právě, když $p$ je prvočíslo.