# Souvislost orientovaného grafu

Pojmy **podgraf** a **indukovaný podgraf** jsou definovány stejně jako u neorientovaných grafů.

## Symetrizace grafu

Z orientovaného grafu můžeme snadno vyrobit neorientovaný graf tím, že "zapomeneme" orientaci všech hran. Případné smyčky odstraníme a násobné hrany nahradíme jednoduchými.

## Slabá souvislost

Řekneme, že orientovaný graf $G$ je (**slabě**) **souvislý**, je-li jeho symetrizace souvislá.

## Silná souvislost

Pro orientované grafy lze snadno upravit definice sledů, cest a kružnicí v grafu.

**Orientovaný sled** z vrcholu $x$ do vrcholu $y$ v orientovaném grafu $G$
je posloupnost vrcholů $(x = v_{0}, v_{1}, \dots, v_{k} = y)$, ve které je pro každé $i = 1, \dots, k$
dvojice $v_{i−1}v_{i}$ hranou grafu $G$.

**Orientovaná cesta** v $G$ je orientovaný sled, který obsahuje každý vrchol nejvýše jednou.

**Cyklus** v $G$ je orientovaný sled, ve kterém je $v_{0} = v_{k}$, tento vrchol je v něm obsažen právě dvakrát a všechny ostatní nejvýše jednou.

Orientovaný graf $G$ je **silně souvislý**, pokud v něm pro každou dvojici vrcholů $x, y$ existuje **orientovaná cesta** z $x$ do $y$ i orientovaná cesta z $y$ do $x$.