# Určité integrály

Mějme uzavřený interval $\langle a;b \rangle$, kde $-\infty<a<b<+\infty$. **Dělením intervalu** $\langle a;b \rangle$ rozumíme konečnou posloupnost $D = (x_{0}, x_{1}, \dots, x_{n}), n \in \mathbb{N}$, bodů z intervalu $\langle a;b \rangle$ tak, že platí
$$
a = x_{0} < x_{1} < x_{2} < \dots < x_{n-1} < x_{n} = b
$$

kde čísla $x_i$ jsou **dělící body** intervalu.

### Integrální součty

1) **Horní integrální součet** funkce $f$ příslušný dělení $D$ je číslo $\displaystyle s(f, D) = \sum_{i=1}^n \inf_{x \in \langle x_{i-1};x_{i} \rangle} f(x) \cdot \Delta x_{i}$.
2) **Dolní integrální součet** funkce $f$ příslušný dělení $D$ je číslo $\displaystyle S(f, D) = \sum_{i=1}^n \sup_{x \in \langle x_{i-1};x_{i} \rangle} f(x) \cdot \Delta x_{i}$.

### Riemannovsky integrovatelná funkce

Mějme funkci $f$, která je definovaná a omezená na uzavřeném intervalu $\langle a;b \rangle$. Dále uvažujeme množinu $\mathcal{D}$ všech možných dělení $D$ tohoto intervalu $\langle a;b\rangle$.

Řekneme, že funkce $f$ je (**Riemannovsky**) **integrovatelná** na intervalu $\langle a;b\rangle$, pokud existuje číslo $I \in \mathbb{R}$ takové, že platí
$$
\displaystyle I = \sup s(f,D) = \inf S(f,D); D \in \mathcal{D}.
$$
Číslo $I$ potom nazýváme **určitý integrál** funkce $f$ na intervalu $\langle a; b \rangle$ a píšeme $\displaystyle\int_{a}^{b} f(x) \, dx = I$.

Dále pro $a>b$ definujeme
$$
\int_{a}^b f(x) \, dx = - \int_{b}^a f(x) \, dx, \qquad \int _{a}^a f(x) \, dx = 0.
$$

Je-li funkce $f$ spojitá na intervalu $\langle a;b \rangle$, potom je na tomto intervalu integrovatelná.

#### Newtonova-Leibnizova věta

Mějme funkci $f$, která je Riemannovsky integrovatelná na intervalu $\langle a;b \rangle$. Dále mějme funkci $F$, která je spojitá na intervalu $\langle a;b \rangle$ a je primitivní funkcí k funkci $f$ na $(a;b)$. Potom platí
$$
\displaystyle \int^b_{a} f(x) \, dx = [F(x)]^b_{a} = F(b) - F(a). 
$$

### Linearita určitého integrálu

Mějme funkce $f, g$, které jsou integrovatelné na intervalu $\langle a;b \rangle$. Potom platí:
1) $\displaystyle\int^b_{a} (f(x) + g(x)) \, dx = \int_{a}^b f(x) \, dx + \int _{a}^b g(x) \, dx$
2) $\displaystyle\int_{a}^b cf(x) \, dx = c \int_{a}^b f(x) \, dx, \quad c \in \mathbb{R}$

### Aditivita určitého integrálu

Mějme funkci $f$, která je integrovatelná na intervalu $\langle a;b \rangle$. Pro libovolné $c \in (a;b)$ potom platí
$$
\int_{a}^b f(x) \, dx = \int_{a}^c f(x) \, dx + \int_{c}^b f(x) \, dx
$$

### Per-partes

Mějme funkce $u, v$, které jsou spojité na intervalu $\langle a;b \rangle$ a jejich derivace $u', v'$ jsou integrovatelné na tomto intervalu. Potom platí
$$
\int_{a}^b f(g(x))g'(x) \, dx = \int_{g(a)}^g(b) f(y) \, dy.
$$

### Věta o střední hodnotě

Je-li funkce $f$ spojitá a intervalu $\langle a; b \rangle$, potom existuje $\xi \in (a;b)$ takové, že platí
$$
\int_{a}^{b} f(x) \, dx = f(\xi) \cdot (b-a).
$$

### Nezápornost určitého intergálu

Mějme funkci $f$, která je spojitá na intervalu $\langle a; b \rangle$. Potom platí
$$
\forall \, x \in \langle a; b \rangle : f(x) \geq 0 \quad \implies \quad \int_{a}^b f(x) \, dx \geq 0.
$$
### Monotonie určitého integrálu

Mějte funkce $f$ a $g$, které jsou spojité na intervalu $\langle a; b \rangle$. Potom platí
$$
\forall \, x \in \langle a; b \rangle : f(x) \leq g(x) \quad \implies \quad \int_{a}^b f(x) \, dx \leq \int_{a}^b g(x) \, dx
$$